/*
 * Copyright 2015 Philadelphia authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.paritytrading.philadelphia.fix42;

/*
 * This file has been automatically generated using Philadelphia Code
 * Generator. For more information on Philadelphia Code Generator, see:
 *
 *   https://github.com/paritytrading/philadelphia
 */

/**
 * Tags for FIX 4.2.
 */
public class FIX42Tags {

    public static final int Account                          = 1;
    public static final int AdvId                            = 2;
    public static final int AdvRefID                         = 3;
    public static final int AdvSide                          = 4;
    public static final int AdvTransType                     = 5;
    public static final int AvgPx                            = 6;
    public static final int BeginSeqNo                       = 7;
    public static final int BeginString                      = 8;
    public static final int BodyLength                       = 9;
    public static final int CheckSum                         = 10;
    public static final int ClOrdID                          = 11;
    public static final int Commission                       = 12;
    public static final int CommType                         = 13;
    public static final int CumQty                           = 14;
    public static final int Currency                         = 15;
    public static final int EndSeqNo                         = 16;
    public static final int ExecID                           = 17;
    public static final int ExecInst                         = 18;
    public static final int ExecRefID                        = 19;
    public static final int ExecTransType                    = 20;
    public static final int HandlInst                        = 21;
    public static final int IDSource                         = 22;
    public static final int IOIid                            = 23;
    public static final int IOIOthSvc                        = 24;
    public static final int IOIQltyInd                       = 25;
    public static final int IOIRefID                         = 26;
    public static final int IOIShares                        = 27;
    public static final int IOITransType                     = 28;
    public static final int LastCapacity                     = 29;
    public static final int LastMkt                          = 30;
    public static final int LastPx                           = 31;
    public static final int LastShares                       = 32;
    public static final int LinesOfText                      = 33;
    public static final int MsgSeqNum                        = 34;
    public static final int MsgType                          = 35;
    public static final int NewSeqNo                         = 36;
    public static final int OrderID                          = 37;
    public static final int OrderQty                         = 38;
    public static final int OrdStatus                        = 39;
    public static final int OrdType                          = 40;
    public static final int OrigClOrdID                      = 41;
    public static final int OrigTime                         = 42;
    public static final int PossDupFlag                      = 43;
    public static final int Price                            = 44;
    public static final int RefSeqNum                        = 45;
    public static final int RelatdSym                        = 46;
    public static final int Rule80A                          = 47;
    public static final int SecurityID                       = 48;
    public static final int SenderCompID                     = 49;
    public static final int SenderSubID                      = 50;
    public static final int SendingDate                      = 51;
    public static final int SendingTime                      = 52;
    public static final int Shares                           = 53;
    public static final int Side                             = 54;
    public static final int Symbol                           = 55;
    public static final int TargetCompID                     = 56;
    public static final int TargetSubID                      = 57;
    public static final int Text                             = 58;
    public static final int TimeInForce                      = 59;
    public static final int TransactTime                     = 60;
    public static final int Urgency                          = 61;
    public static final int ValidUntilTime                   = 62;
    public static final int SettlmntTyp                      = 63;
    public static final int FutSettDate                      = 64;
    public static final int SymbolSfx                        = 65;
    public static final int ListID                           = 66;
    public static final int ListSeqNo                        = 67;
    public static final int TotNoOrders                      = 68;
    public static final int ListExecInst                     = 69;
    public static final int AllocID                          = 70;
    public static final int AllocTransType                   = 71;
    public static final int RefAllocID                       = 72;
    public static final int NoOrders                         = 73;
    public static final int AvgPrxPrecision                  = 74;
    public static final int TradeDate                        = 75;
    public static final int ExecBroker                       = 76;
    public static final int OpenClose                        = 77;
    public static final int NoAllocs                         = 78;
    public static final int AllocAccount                     = 79;
    public static final int AllocShares                      = 80;
    public static final int ProcessCode                      = 81;
    public static final int NoRpts                           = 82;
    public static final int RptSeq                           = 83;
    public static final int CxlQty                           = 84;
    public static final int NoDlvyInst                       = 85;
    public static final int DlvyInst                         = 86;
    public static final int AllocStatus                      = 87;
    public static final int AllocRejCode                     = 88;
    public static final int Signature                        = 89;
    public static final int SecureDataLen                    = 90;
    public static final int SecureData                       = 91;
    public static final int BrokerOfCredit                   = 92;
    public static final int SignatureLength                  = 93;
    public static final int EmailType                        = 94;
    public static final int RawDataLength                    = 95;
    public static final int RawData                          = 96;
    public static final int PossResend                       = 97;
    public static final int EncryptMethod                    = 98;
    public static final int StopPx                           = 99;
    public static final int ExDestination                    = 100;
    public static final int CxlRejReason                     = 102;
    public static final int OrdRejReason                     = 103;
    public static final int IOIQualifier                     = 104;
    public static final int WaveNo                           = 105;
    public static final int Issuer                           = 106;
    public static final int SecurityDesc                     = 107;
    public static final int HeartBtInt                       = 108;
    public static final int ClientID                         = 109;
    public static final int MinQty                           = 110;
    public static final int MaxFloor                         = 111;
    public static final int TestReqID                        = 112;
    public static final int ReportToExch                     = 113;
    public static final int LocateReqd                       = 114;
    public static final int OnBehalfOfCompID                 = 115;
    public static final int OnBehalfOfSubID                  = 116;
    public static final int QuoteID                          = 117;
    public static final int NetMoney                         = 118;
    public static final int SettlCurrAmt                     = 119;
    public static final int SettlCurrency                    = 120;
    public static final int ForexReq                         = 121;
    public static final int OrigSendingTime                  = 122;
    public static final int GapFillFlag                      = 123;
    public static final int NoExecs                          = 124;
    public static final int CxlType                          = 125;
    public static final int ExpireTime                       = 126;
    public static final int DKReason                         = 127;
    public static final int DeliverToCompID                  = 128;
    public static final int DeliverToSubID                   = 129;
    public static final int IOINaturalFlag                   = 130;
    public static final int QuoteReqID                       = 131;
    public static final int BidPx                            = 132;
    public static final int OfferPx                          = 133;
    public static final int BidSize                          = 134;
    public static final int OfferSize                        = 135;
    public static final int NoMiscFees                       = 136;
    public static final int MiscFeeAmt                       = 137;
    public static final int MiscFeeCurr                      = 138;
    public static final int MiscFeeType                      = 139;
    public static final int PrevClosePx                      = 140;
    public static final int ResetSeqNumFlag                  = 141;
    public static final int SenderLocationID                 = 142;
    public static final int TargetLocationID                 = 143;
    public static final int OnBehalfOfLocationID             = 144;
    public static final int DeliverToLocationID              = 145;
    public static final int NoRelatedSym                     = 146;
    public static final int Subject                          = 147;
    public static final int Headline                         = 148;
    public static final int URLLink                          = 149;
    public static final int ExecType                         = 150;
    public static final int LeavesQty                        = 151;
    public static final int CashOrderQty                     = 152;
    public static final int AllocAvgPx                       = 153;
    public static final int AllocNetMoney                    = 154;
    public static final int SettlCurrFxRate                  = 155;
    public static final int SettlCurrFxRateCalc              = 156;
    public static final int NumDaysInterest                  = 157;
    public static final int AccruedInterestRate              = 158;
    public static final int AccruedInterestAmt               = 159;
    public static final int SettlInstMode                    = 160;
    public static final int AllocText                        = 161;
    public static final int SettlInstID                      = 162;
    public static final int SettlInstTransType               = 163;
    public static final int EmailThreadID                    = 164;
    public static final int SettlInstSource                  = 165;
    public static final int SettlLocation                    = 166;
    public static final int SecurityType                     = 167;
    public static final int EffectiveTime                    = 168;
    public static final int StandInstDbType                  = 169;
    public static final int StandInstDbName                  = 170;
    public static final int StandInstDbID                    = 171;
    public static final int SettlDeliveryType                = 172;
    public static final int SettlDepositoryCode              = 173;
    public static final int SettlBrkrCode                    = 174;
    public static final int SettlInstCode                    = 175;
    public static final int SecuritySettlAgentName           = 176;
    public static final int SecuritySettlAgentCode           = 177;
    public static final int SecuritySettlAgentAcctNum        = 178;
    public static final int SecuritySettlAgentAcctName       = 179;
    public static final int SecuritySettlAgentContactName    = 180;
    public static final int SecuritySettlAgentContactPhone   = 181;
    public static final int CashSettlAgentName               = 182;
    public static final int CashSettlAgentCode               = 183;
    public static final int CashSettlAgentAcctNum            = 184;
    public static final int CashSettlAgentAcctName           = 185;
    public static final int CashSettlAgentContactName        = 186;
    public static final int CashSettlAgentContactPhone       = 187;
    public static final int BidSpotRate                      = 188;
    public static final int BidForwardPoints                 = 189;
    public static final int OfferSpotRate                    = 190;
    public static final int OfferForwardPoints               = 191;
    public static final int OrderQty2                        = 192;
    public static final int FutSettDate2                     = 193;
    public static final int LastSpotRate                     = 194;
    public static final int LastForwardPoints                = 195;
    public static final int AllocLinkID                      = 196;
    public static final int AllocLinkType                    = 197;
    public static final int SecondaryOrderID                 = 198;
    public static final int NoIOIQualifiers                  = 199;
    public static final int MaturityMonthYear                = 200;
    public static final int PutOrCall                        = 201;
    public static final int StrikePrice                      = 202;
    public static final int CoveredOrUncovered               = 203;
    public static final int CustomerOrFirm                   = 204;
    public static final int MaturityDay                      = 205;
    public static final int OptAttribute                     = 206;
    public static final int SecurityExchange                 = 207;
    public static final int NotifyBrokerOfCredit             = 208;
    public static final int AllocHandlInst                   = 209;
    public static final int MaxShow                          = 210;
    public static final int PegDifference                    = 211;
    public static final int XmlDataLen                       = 212;
    public static final int XmlData                          = 213;
    public static final int SettlInstRefID                   = 214;
    public static final int NoRoutingIDs                     = 215;
    public static final int RoutingType                      = 216;
    public static final int RoutingID                        = 217;
    public static final int SpreadToBenchmark                = 218;
    public static final int Benchmark                        = 219;
    public static final int CouponRate                       = 223;
    public static final int ContractMultiplier               = 231;
    public static final int MDReqID                          = 262;
    public static final int SubscriptionRequestType          = 263;
    public static final int MarketDepth                      = 264;
    public static final int MDUpdateType                     = 265;
    public static final int AggregatedBook                   = 266;
    public static final int NoMDEntryTypes                   = 267;
    public static final int NoMDEntries                      = 268;
    public static final int MDEntryType                      = 269;
    public static final int MDEntryPx                        = 270;
    public static final int MDEntrySize                      = 271;
    public static final int MDEntryDate                      = 272;
    public static final int MDEntryTime                      = 273;
    public static final int TickDirection                    = 274;
    public static final int MDMkt                            = 275;
    public static final int QuoteCondition                   = 276;
    public static final int TradeCondition                   = 277;
    public static final int MDEntryID                        = 278;
    public static final int MDUpdateAction                   = 279;
    public static final int MDEntryRefID                     = 280;
    public static final int MDReqRejReason                   = 281;
    public static final int MDEntryOriginator                = 282;
    public static final int LocationID                       = 283;
    public static final int DeskID                           = 284;
    public static final int DeleteReason                     = 285;
    public static final int OpenCloseSettleFlag              = 286;
    public static final int SellerDays                       = 287;
    public static final int MDEntryBuyer                     = 288;
    public static final int MDEntrySeller                    = 289;
    public static final int MDEntryPositionNo                = 290;
    public static final int FinancialStatus                  = 291;
    public static final int CorporateAction                  = 292;
    public static final int DefBidSize                       = 293;
    public static final int DefOfferSize                     = 294;
    public static final int NoQuoteEntries                   = 295;
    public static final int NoQuoteSets                      = 296;
    public static final int QuoteAckStatus                   = 297;
    public static final int QuoteCancelType                  = 298;
    public static final int QuoteEntryID                     = 299;
    public static final int QuoteRejectReason                = 300;
    public static final int QuoteResponseLevel               = 301;
    public static final int QuoteSetID                       = 302;
    public static final int QuoteRequestType                 = 303;
    public static final int TotQuoteEntries                  = 304;
    public static final int UnderlyingIDSource               = 305;
    public static final int UnderlyingIssuer                 = 306;
    public static final int UnderlyingSecurityDesc           = 307;
    public static final int UnderlyingSecurityExchange       = 308;
    public static final int UnderlyingSecurityID             = 309;
    public static final int UnderlyingSecurityType           = 310;
    public static final int UnderlyingSymbol                 = 311;
    public static final int UnderlyingSymbolSfx              = 312;
    public static final int UnderlyingMaturityMonthYear      = 313;
    public static final int UnderlyingMaturityDay            = 314;
    public static final int UnderlyingPutOrCall              = 315;
    public static final int UnderlyingStrikePrice            = 316;
    public static final int UnderlyingOptAttribute           = 317;
    public static final int UnderlyingCurrency               = 318;
    public static final int RatioQty                         = 319;
    public static final int SecurityReqID                    = 320;
    public static final int SecurityRequestType              = 321;
    public static final int SecurityResponseID               = 322;
    public static final int SecurityResponseType             = 323;
    public static final int SecurityStatusReqID              = 324;
    public static final int UnsolicitedIndicator             = 325;
    public static final int SecurityTradingStatus            = 326;
    public static final int HaltReason                       = 327;
    public static final int InViewOfCommon                   = 328;
    public static final int DueToRelated                     = 329;
    public static final int BuyVolume                        = 330;
    public static final int SellVolume                       = 331;
    public static final int HighPx                           = 332;
    public static final int LowPx                            = 333;
    public static final int Adjustment                       = 334;
    public static final int TradSesReqID                     = 335;
    public static final int TradingSessionID                 = 336;
    public static final int ContraTrader                     = 337;
    public static final int TradSesMethod                    = 338;
    public static final int TradSesMode                      = 339;
    public static final int TradSesStatus                    = 340;
    public static final int TradSesStartTime                 = 341;
    public static final int TradSesOpenTime                  = 342;
    public static final int TradSesPreCloseTime              = 343;
    public static final int TradSesCloseTime                 = 344;
    public static final int TradSesEndTime                   = 345;
    public static final int NumberOfOrders                   = 346;
    public static final int MessageEncoding                  = 347;
    public static final int EncodedIssuerLen                 = 348;
    public static final int EncodedIssuer                    = 349;
    public static final int EncodedSecurityDescLen           = 350;
    public static final int EncodedSecurityDesc              = 351;
    public static final int EncodedListExecInstLen           = 352;
    public static final int EncodedListExecInst              = 353;
    public static final int EncodedTextLen                   = 354;
    public static final int EncodedText                      = 355;
    public static final int EncodedSubjectLen                = 356;
    public static final int EncodedSubject                   = 357;
    public static final int EncodedHeadlineLen               = 358;
    public static final int EncodedHeadline                  = 359;
    public static final int EncodedAllocTextLen              = 360;
    public static final int EncodedAllocText                 = 361;
    public static final int EncodedUnderlyingIssuerLen       = 362;
    public static final int EncodedUnderlyingIssuer          = 363;
    public static final int EncodedUnderlyingSecurityDescLen = 364;
    public static final int EncodedUnderlyingSecurityDesc    = 365;
    public static final int AllocPrice                       = 366;
    public static final int QuoteSetValidUntilTime           = 367;
    public static final int QuoteEntryRejectReason           = 368;
    public static final int LastMsgSeqNumProcessed           = 369;
    public static final int OnBehalfOfSendingTime            = 370;
    public static final int RefTagID                         = 371;
    public static final int RefMsgType                       = 372;
    public static final int SessionRejectReason              = 373;
    public static final int BidRequestTransType              = 374;
    public static final int ContraBroker                     = 375;
    public static final int ComplianceID                     = 376;
    public static final int SolicitedFlag                    = 377;
    public static final int ExecRestatementReason            = 378;
    public static final int BusinessRejectRefID              = 379;
    public static final int BusinessRejectReason             = 380;
    public static final int GrossTradeAmt                    = 381;
    public static final int NoContraBrokers                  = 382;
    public static final int MaxMessageSize                   = 383;
    public static final int NoMsgTypes                       = 384;
    public static final int MsgDirection                     = 385;
    public static final int NoTradingSessions                = 386;
    public static final int TotalVolumeTraded                = 387;
    public static final int DiscretionInst                   = 388;
    public static final int DiscretionOffset                 = 389;
    public static final int BidID                            = 390;
    public static final int ClientBidID                      = 391;
    public static final int ListName                         = 392;
    public static final int TotalNumSecurities               = 393;
    public static final int BidType                          = 394;
    public static final int NumTickets                       = 395;
    public static final int SideValue1                       = 396;
    public static final int SideValue2                       = 397;
    public static final int NoBidDescriptors                 = 398;
    public static final int BidDescriptorType                = 399;
    public static final int BidDescriptor                    = 400;
    public static final int SideValueInd                     = 401;
    public static final int LiquidityPctLow                  = 402;
    public static final int LiquidityPctHigh                 = 403;
    public static final int LiquidityValue                   = 404;
    public static final int EFPTrackingError                 = 405;
    public static final int FairValue                        = 406;
    public static final int OutsideIndexPct                  = 407;
    public static final int ValueOfFutures                   = 408;
    public static final int LiquidityIndType                 = 409;
    public static final int WtAverageLiquidity               = 410;
    public static final int ExchangeForPhysical              = 411;
    public static final int OutMainCntryUIndex               = 412;
    public static final int CrossPercent                     = 413;
    public static final int ProgRptReqs                      = 414;
    public static final int ProgPeriodInterval               = 415;
    public static final int IncTaxInd                        = 416;
    public static final int NumBidders                       = 417;
    public static final int TradeType                        = 418;
    public static final int BasisPxType                      = 419;
    public static final int NoBidComponents                  = 420;
    public static final int Country                          = 421;
    public static final int TotNoStrikes                     = 422;
    public static final int PriceType                        = 423;
    public static final int DayOrderQty                      = 424;
    public static final int DayCumQty                        = 425;
    public static final int DayAvgPx                         = 426;
    public static final int GTBookingInst                    = 427;
    public static final int NoStrikes                        = 428;
    public static final int ListStatusType                   = 429;
    public static final int NetGrossInd                      = 430;
    public static final int ListOrderStatus                  = 431;
    public static final int ExpireDate                       = 432;
    public static final int ListExecInstType                 = 433;
    public static final int CxlRejResponseTo                 = 434;
    public static final int UnderlyingCouponRate             = 435;
    public static final int UnderlyingContractMultiplier     = 436;
    public static final int ContraTradeQty                   = 437;
    public static final int ContraTradeTime                  = 438;
    public static final int ClearingFirm                     = 439;
    public static final int ClearingAccount                  = 440;
    public static final int LiquidityNumSecurities           = 441;
    public static final int MultiLegReportingType            = 442;
    public static final int StrikeTime                       = 443;
    public static final int ListStatusText                   = 444;
    public static final int EncodedListStatusTextLen         = 445;
    public static final int EncodedListStatusText            = 446;

    private FIX42Tags() {
    }

}
